{% extends "base.html" %}
{% block title %}Configuration du tableau de bord{% endblock %}
{% block content %}
      <div class="row">
        <div class="col s1"></div>
        <div class="col s10">
          <div class="hedit">Les cartes affichées</div>
        </div>  
      </div>
      <div class="row">
        <div class="col s1"></div>
        <div class="input-field col s10">
          <table class="striped" border="1">
            <tr>
              <th width="35">&nbsp;</th>
              <th>Titre</th>
              <th>Flux</th>
              <th>Label</th>
            </tr>
            {% if g.cards != None -%}
            {% for el in g.cards -%}
            <tr>
              <td><a href="{{ url_for('cardEdit', id=el[0]) }}" style="{% if el[1]['noEdit'] == 'true' %}pointer-events:none; cursor: default; color: rgba(199, 199, 199, 0.87){% else %} color: {{ (el[1]['backColor'] or '') }}{% endif %}"><i class="material-icons">label</i></a></td> <!--icon-->
              <td><a href="{{ url_for('cardEdit', id=el[0]) }}" style="{% if el[1]['noEdit'] == 'true' %}pointer-events:none; cursor: default; color: rgba(0, 0, 0, 0.87){% else %} color: #7b1fa2{% endif %}">{{ el[1]['title'] }}</a></td> <!--title-->
              <td>
                {%- if not g.flux[el[1]['data'][0]['stream']] -%} ? {%- else -%} 
                {{ g.flux[el[1]['data'][0]['stream']]['name'] }} 
                {%- endif -%}
              </td> <!--flux-->
              <td>{{ (el[1]['yLabel'] or '') }}</td> <!--label-->
            </tr>
            {% endfor -%}
            {% endif -%}
          </table>
          <br/>
          <br/>
          <br/>
          <button class="btn waves-effect waves-light enezgrbutton" type="reset" onclick="location.href='{{ url_for('cardEdit') }}'">Nouveau
            <i class="material-icons right">playlist_add</i>
          </button>
          &nbsp; &nbsp;
          <button class="btn waves-effect waves-light enezgrbutton" type="reset" onclick="location.href='{{ url_for('main') }}'">Retour
            <i class="material-icons right">keyboard_return</i>
          </button>
        </div>
      </div>
{% endblock %}